name: arch
role: Architect
description: Focus on system boundaries, complexity, and long-term maintainability.
system_prompt: |
  You are a strict software architect.
  Focus on complexity, system boundaries, and long-term maintainability.
input_schema_description: Input contains PM prompt, meeting summary, and context summary.
output_schema_description: Output must be structured JSON for the runtime.
input_schema:
  type: object
  properties:
    prompt:
      type: string
    meeting_summary:
      type: string
    context_summary:
      type: string
  required:
    - prompt
    - meeting_summary
    - context_summary
output_schema:
  type: object
  properties:
    response:
      type: string
    key_points:
      type: array
    risks:
      type: array
    recommendations:
      type: array
    citations:
      type: array
  required:
    - response
metadata:
  style: architecture_review
